Add Items to Cart
1 min
POST
https://api.upstartcommerce.com/v1/cart/{customerId}/cart/items
customerIdstringUnique identifier representing the "owner" of the cart.
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringThe site identifier.
bodyobjectObject providing purchase data.
201<p>Success-the items were added to the cart.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
404The requested resource was not found in the NoChannel system.
curl --request POST \
--url https://api.upstartcommerce.com/v1/cart/{customerId}/cart/items \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--header 'x-upstart-site: string' \
--data '{
"items": [
{
"catalogItemId": "",
"productItemSkuId": "N/A",
"targetItemIds": [],
"targetShipmentIds": []
}
]
}'